Reddit Posts
Fetch frontpage or subreddit posts with sort, timeframe, and cursor controls.
POST
/v1/reddit/posts Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| after | body | string | No | Cursor returned by the previous response. |
| before | body | string | No | Cursor returned by the previous response. |
| limit | body | integer | No | Maximum number of items to return. |
| sort | body | string | No | Listing sort. |
| subreddit | body | string | No | Subreddit name, r/name, or subreddit URL. |
| timeframe | body | string | No | Timeframe for results where supported. |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"after":"sample","before":"sample","limit":25,"sort":"hot","subreddit":"programming","timeframe":"hour"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
POLL_DELAY=3
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [[ "$STATUS" =~ ^(succeeded|failed|errored|cancelled|canceled|expired)$ ]]; then
echo "$RESULT"
break
fi
sleep "$(awk "BEGIN { print $POLL_DELAY * (0.9 + ($RANDOM % 21) / 100) }")"
POLL_DELAY=$((POLL_DELAY < 30 ? POLL_DELAY * 2 : 30))
[ "$POLL_DELAY" -gt 30 ] && POLL_DELAY=30
doneSync
curl -X POST "https://api.browsable.app/v1/reddit/posts" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"after":"sample","before":"sample","limit":25,"sort":"hot","subreddit":"programming","timeframe":"hour","_run":{"async":false}}'